#
# spec file for package perl-libintl-perl
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-libintl-perl
Requires:       gettext-runtime >= 0.12.2
Url:            http://search.cpan.org/~guido/libintl-perl
Summary:        Internationalization Library for Perl
License:        LGPL-2.1+
Group:          Development/Libraries/Perl
Version:        1.20
Release:        39.1
Source:         http://search.cpan.org/CPAN/authors/id/G/GU/GUIDO/libintl-perl-%{version}.tar.gz
Source1:        libintl-perl-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
This is an internationalization library for Perl that aims to be
compatible with the Uniforum message translations system as implemented
for example in GNU gettext.



Authors:
--------
    Guido Flohr <guido@imperia.net

%prep
%setup -q -n libintl-perl-%{version}
chmod -x lib/Locale/{gettext_pp,TextDomain,Messages}.pm

%build
perl Makefile.PL
make %{?jobs:-j%jobs}

%check
%ifarch %arm
# This test blocks the qemu-arm and the worker gets stalled. Needs more attention.
rm  ./tests/04find_domain_bug.t
%endif
make test
# ---------------------------------------------------------------------------

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc FAQ NEWS README TODO ChangeLog THANKS
%{perl_vendorlib}/Locale
%{perl_vendorarch}/auto/Locale
%{perl_vendorarch}/auto/libintl-perl
%doc %{_mandir}/man3/*.3pm.gz
%doc sample

%changelog
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Tue Dec  8 2009 jengelh@medozas.de
- enable parallel building
* Mon Sep  7 2009 mls@suse.de
- update to libintl-perl-1.20
  * many test failures fixed
  * Fixed RT bug #46471, noop functions in scalar context.
* Fri Jul 10 2009 jansimon.moeller@opensuse.org
- Remove blocking test. It hangs qemu-arm and stalls the worker.
  rm  ./tests/04find_domain_bug.t
* Sun Nov 25 2007 ro@suse.de
- adapt requires to gettext rename (gettext-runtime)
* Fri Nov  9 2007 pth@suse.de
- Initial package, needed by gettext testsuite
